org.firebirdsql.gds.impl

## Class TransactionParameterBufferImpl

- java.lang.Object
- - org.firebirdsql.gds.impl.ParameterBufferBase
  - - org.firebirdsql.gds.impl.TransactionParameterBufferImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<Parameter>, ParameterBuffer, TransactionParameterBuffer

    public final class TransactionParameterBufferImpl
    extends ParameterBufferBase
    implements TransactionParameterBuffer

Implementation of the `TransactionParameterBuffer` interface.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TransactionParameterBufferImpl.TpbMetaData`

### Field Summary

### Fields inherited from interface org.firebirdsql.gds.TransactionParameterBuffer

`AUTOCOMMIT, COMMIT_TIME, CONCURRENCY, CONSISTENCY, EXCLUSIVE, IGNORE_LIMBO, LOCK_READ, LOCK_TIMEOUT, LOCK_WRITE, NO_AUTO_UNDO, NO_REC_VERSION, NOWAIT, PROTECTED, READ, READ_COMMITTED, REC_VERSION, RESTART_REQUESTS, SHARED, VERB_TIME, WAIT, WRITE`

### Constructor Summary

Constructors
Constructor and Description
`TransactionParameterBufferImpl()`

### Method Summary

Methods
`TransactionParameterBuffer` `deepCopy()` Make a deep copy of this object.

### Methods inherited from class org.firebirdsql.gds.impl.ParameterBufferBase

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, equals, getArgumentAsInt, getArgumentAsString, getArgumentsList, getDefaultEncoding, getLength, getParameterBufferMetaData, getType, hasArgument, hashCode, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Constructor Detail

#### TransactionParameterBufferImpl

    public TransactionParameterBufferImpl()

### Method Detail

#### deepCopy

    public TransactionParameterBuffer deepCopy()

Description copied from interface: `TransactionParameterBuffer`
Make a deep copy of this object.

Specified by:
  `deepCopy` in interface `TransactionParameterBuffer`
Returns:
  deep copy of this object.